Next: setbuf, Previous: rename, Up: Stdio

### 4.53 `rewind`—reinitialize a file or stream

Synopsis

         #include <stdio.h>
         void rewind(FILE *fp);
         void _rewind_r(struct _reent *ptr, FILE *fp);

Description
`rewind` returns the file position indicator (if any) for the file or stream identified by fp to the beginning of the file. It also clears any error indicator and flushes any pending output.

Returns
`rewind` does not return a result.

Portability
ANSI C requires `rewind`.

No supporting OS subroutines are required.